Events
Clicks and shopper events. Public key.
2 endpoints.
POST
/v1/clickRecord a click on a search result
Needs a key or a dashboard session
Request body application/json ClickRequest
| Name | Type | Required | Description |
|---|---|---|---|
search_id | string | yes | max length 40 |
product_id | string | yes | max length 128 |
position | integer | yes | min 1 · max 1000 |
session | string | null | no | max length 64 |
Responses
- 202Successful Response
EventAccepted
POST
/v1/eventRecord one event or a batch (add_to_cart, order, view, fallback...)
Needs a key or a dashboard session
Request body application/json EventIn | EventBatch
Responses
- 202Successful Response
EventAccepted
Data shapes on this page
ClickRequest
| Name | Type | Required | Description |
|---|---|---|---|
search_id | string | yes | max length 40 |
product_id | string | yes | max length 128 |
position | integer | yes | min 1 · max 1000 |
session | string | null | no | max length 64 |
EventAccepted
| Name | Type | Required | Description |
|---|---|---|---|
accepted | integer | yes | |
duplicates | integer | no | default 0 |
EventIn
| Name | Type | Required | Description |
|---|---|---|---|
type | "click" | "add_to_cart" | "order" | "view" | "fallback" | "assistant_click" | "assistant_handover" | yes | |
product_id | string | null | no | max length 128 |
search_id | string | null | no | max length 40 |
position | integer | null | no | min 1 · max 1000 |
session | string | null | no | max length 64 |
value | number | string | null | no | Order or cart value.min 0 |
currency | string | null | no | pattern ^[A-Z]{3}$ |
quantity | integer | null | no | min 1 |
device | "desktop" | "mobile" | "tablet" | "unknown" | no | default "unknown" |
occurred_at | string (date-time) | null | no | |
id | string | null | no | Client event id; duplicates are dropped.max length 200 |
meta | map<string, string | integer | number | boolean> | no |
EventBatch
| Name | Type | Required | Description |
|---|---|---|---|
events | EventIn[] | yes |